Bug 597246 - ContentManagerBean slurps entire content in-memory
ContentManagerBean slurps entire content in-memory
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.3
All All
high Severity high (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On:
Blocks: jon24-content jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-05-28 09:50 EDT by John Mazzitelli
Modified: 2010-08-12 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-05-28 09:50:00 EDT
org.rhq.enterprise.server.content.ContentManagerBean.getUploadedPackageVersion and createPackageVersion both slurp the entire input stream in memory in order to store the bits in the database PackageBits table. We need to refactor these two methods to stream properly to the database.
Comment 1 Simeon Pinder 2010-06-25 16:31:49 EDT
This has been addressed and I added a unit test to ContentUIManagerBeanTest to exercise Blob read/write via streaming.

Commit hash(es):
6f4eb034b12085258f98c92713af8a499ea78261
17b0f8bb1a60583a0d1ea24bd894cc9a3dbd5c42
863201f8b91e01632ec7453940f4b08fd3d0dda7
8bbfe126b897a21135b21987aefcce1b45e76cb3
408bc20049ff0f06738e70b2dbafdbbd83366fdb

No real way to QA this, just verify that no regression in delivered content functionality.
Comment 2 Simeon Pinder 2010-06-25 16:32:44 EDT
Available in successful release builds >= 71.
Comment 3 Charles Crouch 2010-06-30 13:26:20 EDT
Reducing priority to clarify QA testing order
Comment 4 Corey Welton 2010-07-06 08:49:26 EDT
QA Verified/Closing - no regressions found.
Comment 5 Corey Welton 2010-08-12 12:51:45 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.